Subject: Re: Atlas Metal Sales, Denver, CO

From: [email-masked]
Date: Wed, 11 Sep 1996 02:01:53 -0400

To All,
I am in Denver on business and had some time to kill this afternoon so I
looked up Atlas Metal Sales as they advertise in the"Anvil's Ring".
I spoke with Criss Duran who is the sales person for copper products. She
gave me a tour of the warehouse and their brochure on the products they sell.
They have an amazing assortment of goodies in stock from CDA 655 (Silicon
Bronze), to aluminum and copper based foundry alloys, to pewter sheet , to
lead sheet and tubing and a variety of Babbitt alloys.
The cda 655 is in 12 foot mill lengths but can be cut free to 6 foot lengths
for shipping. Other cutting services are available.
It was a very pleasant experience and I reccommend them highly.

Criss Duran
Atlas Metal Sales
1401 Umatilla Street
Denver, CO  80204
P: 303-623-0143
F: 303-623-3034
TF: 800-662-0143

Hochewa